Package org.apache.sling.caconfig.management.multiplexer

# Interface ConfigurationPersistenceStrategyMultiplexer

All Superinterfaces:
  `org.apache.sling.caconfig.spi.ConfigurationPersistenceStrategy2`

@ProviderType public interface ConfigurationPersistenceStrategyMultiplexer extends org.apache.sling.caconfig.spi.ConfigurationPersistenceStrategy2
Detects all `ConfigurationPersistenceStrategy2` implementations in the container and consolidates their result based on service ranking.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Collection<String>`
`getAllCollectionItemConfigNames(@NotNull String configName)`
Get all configuration names from all configuration persistence strategies.
`@NotNull Collection<String>`
`getAllCollectionParentConfigNames(@NotNull String configName)`
Get all configuration names from all configuration persistence strategies.
`@NotNull Collection<String>`
`getAllConfigNames(@NotNull String configName)`
Get all configuration names from all configuration persistence strategies.

### Methods inherited from interface org.apache.sling.caconfig.spi.ConfigurationPersistenceStrategy2

`deleteConfiguration, getCollectionItemConfigName, getCollectionItemResource, getCollectionItemResourcePath, getCollectionParentConfigName, getCollectionParentResource, getCollectionParentResourcePath, getConfigName, getResource, getResourcePath, persistConfiguration, persistConfigurationCollection`

## Method Details

### getAllConfigNames

@NotNull @NotNull Collection<String> getAllConfigNames(@NotNull @NotNull String configName)
Get all configuration names from all configuration persistence strategies. This can be used when no nested parent resources is known.

Parameters:
  `configName` - Configuration name
Returns:
  Possible configuration names in order of persistence strategy service ranking.

### getAllCollectionParentConfigNames

@NotNull @NotNull Collection<String> getAllCollectionParentConfigNames(@NotNull @NotNull String configName)
Get all configuration names from all configuration persistence strategies. This can be used when no nested parent resources is known.

Parameters:
  `configName` - Configuration name
Returns:
  Possible configuration names in order of persistence strategy service ranking.

### getAllCollectionItemConfigNames

@NotNull @NotNull Collection<String> getAllCollectionItemConfigNames(@NotNull @NotNull String configName)
Get all configuration names from all configuration persistence strategies. This can be used when no nested parent resources is known.

Parameters:
  `configName` - Configuration name
Returns:
  Possible configuration names in order of persistence strategy service ranking.